Skip to main content
GET
/
v1
/
businesses
/
{businessId}
/
tax-estimates
/
details
Get tax details
curl --request GET \
  --url https://sandbox.layerfi.com/v1/businesses/{businessId}/tax-estimates/details \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://sandbox.layerfi.com/v1/businesses/{businessId}/tax-estimates/details"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://sandbox.layerfi.com/v1/businesses/{businessId}/tax-estimates/details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "type": "Tax_Details",
    "year": 2025,
    "filing_status": "SINGLE",
    "adjusted_gross_income": {
      "income": {
        "w2_income": 123,
        "w2_withholding": 123,
        "business_revenue": 123,
        "total": 123
      },
      "deductions": {
        "business_expenses": 123,
        "vehicle_expense": {
          "method": "MILEAGE",
          "amount": 123
        },
        "home_office": {
          "method": "SIMPLIFIED",
          "amount": 123
        },
        "qualified_tip_deduction": 123,
        "qualified_overtime_deduction": 123,
        "self_employment_tax_deduction": 123,
        "total": 123
      },
      "total_adjusted_gross_income": 123
    },
    "taxes": {
      "us_federal": {
        "federal_income_tax": {
          "federal_deductions": 123,
          "qualified_business_income_deduction": 123,
          "qbi_effective_rate": "0.20",
          "taxable_income": 123,
          "effective_federal_tax_rate": "0.22",
          "federal_income_tax_owed": 123
        },
        "social_security_tax": {
          "social_security_income": 123,
          "social_security_tax_rate": "0.124",
          "social_security_tax_owed": 123
        },
        "medicare_tax": {
          "medicare_income": 123,
          "medicare_tax_rate": "0.029",
          "medicare_tax_owed": 123
        },
        "medicare_surtax": {
          "medicare_surtax_income": 123,
          "medicare_surtax_rate": "0.009",
          "medicare_surtax_owed": 123
        },
        "total_federal_tax": {
          "federal_income_tax_owed": 123,
          "social_security_tax_owed": 123,
          "medicare_tax_owed": 123,
          "medicare_surtax_owed": 123,
          "w2_withholdings": 123,
          "total_federal_tax_owed": 123
        }
      },
      "us_state": {
        "state_code": "CA",
        "state_name": "California",
        "filing_status": "SINGLE",
        "state_income_tax": {
          "state_agi": 123,
          "state_deductions": 123,
          "state_taxable_income": 123,
          "effective_state_tax_rate": "0.093",
          "state_income_tax_owed": 123
        },
        "additional_taxes": [
          {
            "tax_name": "CA SDI",
            "tax_rate": "0.011",
            "taxable_amount": 123,
            "tax_owed": 123
          }
        ],
        "total_state_tax": {
          "state_income_tax_owed": 123,
          "additional_taxes_owed": 123,
          "state_withholdings": 123,
          "total_state_tax_owed": 123
        }
      }
    },
    "quarterly_estimates": {
      "q1": {
        "us_federal": {
          "due_date": "2025-04-15",
          "owed": 123,
          "paid": 123,
          "balance": 123
        },
        "us_state": {
          "state_code": "CA",
          "due_date": "2025-04-15",
          "owed": 123,
          "paid": 123,
          "balance": 123
        }
      },
      "q2": {
        "us_federal": {
          "due_date": "2025-04-15",
          "owed": 123,
          "paid": 123,
          "balance": 123
        },
        "us_state": {
          "state_code": "CA",
          "due_date": "2025-04-15",
          "owed": 123,
          "paid": 123,
          "balance": 123
        }
      },
      "q3": {
        "us_federal": {
          "due_date": "2025-04-15",
          "owed": 123,
          "paid": 123,
          "balance": 123
        },
        "us_state": {
          "state_code": "CA",
          "due_date": "2025-04-15",
          "owed": 123,
          "paid": 123,
          "balance": 123
        }
      },
      "q4": {
        "us_federal": {
          "due_date": "2025-04-15",
          "owed": 123,
          "paid": 123,
          "balance": 123
        },
        "us_state": {
          "state_code": "CA",
          "due_date": "2025-04-15",
          "owed": 123,
          "paid": 123,
          "balance": 123
        }
      }
    }
  }
}
{
"description": "<string>",
"meta": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Content-Type
string

Content-Type must be set to application/json.

Path Parameters

businessId
string<uuid>
required

The UUID of the business.

Query Parameters

year
integer<int32>
required

The tax year (e.g., 2025). Supported years: 2024-2026.

reporting_basis
enum<string>
default:CASH

The accounting basis for reporting. Defaults to the business's default reporting basis, or CASH if not set.

Available options:
ACCRUAL,
CASH
full_year_projection
boolean
default:false

Whether to project income/expenses for the full year based on year-to-date data. Only applicable for the current year. Defaults to true.

Response

Detailed tax breakdown.

data
object
required

Detailed breakdown of tax calculations including adjusted gross income, deductions, and federal taxes.